Search documentation of ExStreamClient

# ExStreamClient.Model.EventType (ExStreamClient v0.1.10)

View Source

# Summary

## Types

t()

## Functions

from_string(event)
to_string(event)

# Types

# t()

    @type t() ::
      :poll_closed
      | :message_deleted
      | :poll_updated
      | :notification_invited
      | :reminder_created
      | :notification_added_to_channel
      | :connection_recovered
      | :poll_deleted
      | :user_watching_start
      | :member_removed
      | :health_check
      | :poll_vote_changed
      | :notification_mark_unread
      | :notification_removed_from_channel
      | :notification_message_new
      | :reaction_updated
      | :channel_hidden
      | :draft_deleted
      | :notification_invite_accepted
      | :notification_channel_truncated
      | :member_updated
      | :ai_indicator_clear
      | :channel_visible
      | :message_new
      | :notification_mark_read
      | :member_added
      | :typing_start
      | :user_unbanned
      | :message_updated
      | :any
      | :user_banned
      | :channel_updated
      | :poll_vote_removed
      | :channel_truncated
      | :thread_updated
      | :channel_deleted
      | :notification_mutes_updated
      | :poll_answer_removed
      | :user_updated
      | :message_read
      | :poll_answer_casted
      | :connection_changed
      | :notification_reminder_due
      | :draft_updated
      | :notification_channel_deleted
      | :poll_vote_casted
      | :ai_indicator_update
      | :user_watching_stop
      | :typing_stop
      | :reminder_deleted
      | :ai_indicator_stop
      | :reaction_new
      | :reaction_deleted
      | :reminder_updated
      | :notification_thread_message_new

# Functions

# from_string(event)

    @spec from_string(String.t()) :: t() | nil

# to_string(event)

    @spec to_string(t()) :: String.t() | nil